Passer au contenu principal
GET
/
cms
/
v3
/
blogs
/
posts
/
{objectId}
/
revisions
Retrieves all previous versions of a post
curl --request GET \
  --url https://api.hubapi.com/cms/v3/blogs/posts/{objectId}/revisions \
  --header 'Authorization: Bearer <token>'
{
  "results": [
    {
      "id": "<string>",
      "object": {
        "abStatus": "automated_loser_variant",
        "abTestId": "<string>",
        "archivedAt": 123,
        "archivedInDashboard": true,
        "attachedStylesheets": [
          {}
        ],
        "authorName": "<string>",
        "blogAuthorId": "<string>",
        "campaign": "<string>",
        "categoryId": 123,
        "contentGroupId": "<string>",
        "contentTypeCategory": "0",
        "created": "2023-11-07T05:31:56Z",
        "createdById": "<string>",
        "currentState": "AGENT_GENERATED",
        "currentlyPublished": true,
        "domain": "<string>",
        "dynamicPageDataSourceId": "<string>",
        "dynamicPageDataSourceType": 123,
        "dynamicPageHubDbTableId": "<string>",
        "enableDomainStylesheets": true,
        "enableGoogleAmpOutputOverride": true,
        "enableLayoutStylesheets": true,
        "featuredImage": "<string>",
        "featuredImageAltText": "<string>",
        "folderId": "<string>",
        "footerHtml": "<string>",
        "headHtml": "<string>",
        "htmlTitle": "<string>",
        "id": "<string>",
        "includeDefaultCustomCss": true,
        "language": "aa",
        "layoutSections": {},
        "linkRelCanonicalUrl": "<string>",
        "mabExperimentId": "<string>",
        "metaDescription": "<string>",
        "name": "<string>",
        "pageExpiryDate": 123,
        "pageExpiryEnabled": true,
        "pageExpiryRedirectId": 123,
        "pageExpiryRedirectUrl": "<string>",
        "password": "<string>",
        "postBody": "<string>",
        "postSummary": "<string>",
        "publicAccessRules": [
          {}
        ],
        "publicAccessRulesEnabled": true,
        "publishDate": "2023-11-07T05:31:56Z",
        "publishImmediately": true,
        "rssBody": "<string>",
        "rssSummary": "<string>",
        "slug": "<string>",
        "state": "<string>",
        "tagIds": [
          123
        ],
        "themeSettingsValues": {},
        "translatedFromId": "<string>",
        "translations": {},
        "updated": "2023-11-07T05:31:56Z",
        "updatedById": "<string>",
        "url": "<string>",
        "useFeaturedImage": true,
        "widgetContainers": {},
        "widgets": {}
      },
      "updatedAt": "2023-11-07T05:31:56Z",
      "user": {
        "email": "<string>",
        "fullName": "<string>",
        "id": "<string>"
      }
    }
  ],
  "total": 123,
  "paging": {
    "next": {
      "after": "<string>",
      "link": "<string>"
    },
    "prev": {
      "before": "<string>",
      "link": "<string>"
    }
  }
}

Supported products

Autorisations

Authorization
string
header
requis

The access token received from the authorization server in the OAuth 2.0 flow.

Paramètres de chemin

objectId
string
requis

Paramètres de requête

after
string

The paging cursor token of the last successfully read resource will be returned as the paging.next.after JSON property of a paged response containing more results.

before
string
limit
integer<int32>

The maximum number of results to display per page.

Réponse

successful operation

results
object[]
requis
total
integer<int32>
requis
paging
object

Model definition for paging.

Last modified on April 2, 2026